Bank
For authentication instructions, see API overview.
Endpoints
get
List all bankaccounts
Returns a list of bankaccounts. The bankaccounts are returned in sorted order, with the most recent appearing first.
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/bankaccountsResponse
No response schemapost
Create bankaccounts
Create bankaccounts. You need to pass through any required fields, and you can optionally pass through other fields.
Request body
bankNamestringbankNumbernumberaccountsarray
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/bankaccounts \ -d 'bankName="NBE"' \ -d 'bankNumber="123456789"' \ -d 'accounts="array"'Response
No response schemaget
Retrieve bankaccounts
Returns a single bankaccount, which you can request by passing through an id in the url.
Path parameters
idstringID of the bank account
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/bankaccounts/:idResponse
No response schemapatch
Update bankaccounts
Update bankaccounts by setting the values of the parameters passed. Any parameters not set will be unchanged.
Path parameters
idstringID of the bank account
Request body
bankNamestringbankNumbernumberaccountsarray
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/bankaccounts/:id \ -d 'bankName="NBE"' \ -d 'bankNumber="123456789"' \ -d 'accounts="array"'Response
No response schemadelete
Delete bankaccounts
Path parameters
idstringID of the bank account
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X DELETE \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/bankaccounts/:id